using System;
using Vintagestory.API.Client;

namespace TemporalStormTimer {
	public class TemporalStormTimerConfig {
		public bool show_warning = true;
		public bool show_active = true;

		public string warning_colour = "#804838";
		public string active_colour = "#00E09C";
	}

	public class TemporalStormTimerConfigManager {
		protected const string filename = "temporalstormtimer.json";

		protected ICoreClientAPI capi;
		protected TemporalStormTimerConfig config;
		
		public TemporalStormTimerConfigManager(ICoreClientAPI capi) {
			this.capi = capi;

			// Load or create config file.
			try {
				this.config = this.capi.LoadModConfig<TemporalStormTimerConfig>(TemporalStormTimerConfigManager.filename);
			} catch(Exception) {}
			if(this.config != null) {
				// Save config file in case of missing fields.
				this.capi.StoreModConfig<TemporalStormTimerConfig>(this.config, TemporalStormTimerConfigManager.filename);
			} else {
				// Create new config file.
				this.config = new TemporalStormTimerConfig();
				this.capi.StoreModConfig<TemporalStormTimerConfig>(this.config, TemporalStormTimerConfigManager.filename);
			}
		}

		public TemporalStormTimerConfig Get() {
			return this.config;
		}

		public void Save() {
			this.capi.StoreModConfig<TemporalStormTimerConfig>(this.config, TemporalStormTimerConfigManager.filename);
		}
	}
}