using Vintagestory.API.Client;

namespace TemporalStormTimer {
	public class TemporalStormTimerElement: HudElement {
		protected const string dialogName = "temporalstormtimer";
		protected const string warningBarKey = "tstwarningbar";
		protected const string activeBarKey = "tstactivebar";

		protected const float barX = 188;
		protected const float barY = -115;
		protected const float barWidth = 850 - (barX * 2);
		protected const float barHeight = 13;

		public TemporalStormStatbar warningBar;
		public TemporalStormStatbar activeBar;

		public TemporalStormTimerElement(ICoreClientAPI capi): base(capi) {
			// Create bars.
			ElementBounds dialogBounds = new ElementBounds() {
				Alignment = EnumDialogArea.CenterBottom,
				BothSizing = ElementSizing.Fixed,
				fixedWidth = barWidth,
				fixedHeight = barHeight
			};

			ElementBounds barBounds = ElementBounds.Fixed(barX, barY, barWidth, barHeight);

			Composers[dialogName] = capi.Gui
					.CreateCompo(dialogName, dialogBounds)
					.AddInteractiveElement(new TemporalStormStatbar(capi, barBounds, TemporalStormTimerSystem.warningColour, false, false), warningBarKey)
					.AddInteractiveElement(new TemporalStormStatbar(capi, barBounds, TemporalStormTimerSystem.activeColour, false, true), activeBarKey)
					.Compose();

			this.warningBar = (TemporalStormStatbar)Composers[dialogName].GetElement(warningBarKey);
			this.warningBar.SetLineInterval(1);

			this.activeBar = (TemporalStormStatbar)Composers[dialogName].GetElement(activeBarKey);
			this.activeBar.SetLineInterval(1);

			this.TryOpen();
		}
	}
}